# OgreLog.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Defines

#define | OGRE_LOG_THRESHOLD 4

## Enumerations

enum | LoggingLevel { LL_LOW = 1, LL_NORMAL = 2, LL_BOREME = 3 }
| The level of detail to which the log will go into. More...
enum | LogMessageLevel { LML_TRIVIAL = 1, LML_NORMAL = 2, LML_CRITICAL = 3 }
| The importance of a logged message. More...

## Define Documentation

#define OGRE_LOG_THRESHOLD 4

| Definition at line 39 of file OgreLog.h.

## Enumeration Type Documentation

enum Ogre::LoggingLevel

The level of detail to which the log will go into.

Enumeration values:

  LL_LOW |
  LL_NORMAL |
  LL_BOREME |

Definition at line 43 of file OgreLog.h.

enum Ogre::LogMessageLevel

The importance of a logged message.

Enumeration values:

  LML_TRIVIAL |
  LML_NORMAL |
  LML_CRITICAL |

Definition at line 52 of file OgreLog.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009